+ Antworten
Ergebnis 1 bis 6 von 6
  1. #1
    Registriert seit
    Oct 2012
    Beiträge
    41

    Standard Problem bei der Installation der IPSLibrary oder bei WFC_AddItem

    Hallo,

    ich bin mir nicht sicher ob der Fehler bei IPS oder bei der Library liegt.

    Ich versuche auf ein Raspberry Pi B+ mit Raspbian die IPSLibrary zu Installieren.

    Die Installation läuft, jedoch werden bei der Installation keine Verknüpfungen im Webfront angelegt.

    Dabei erscheint unter anderem die folgende Meldung:
    (Ich habe hier mal eine dieser Meldungen rausgepickt)
    Code:
    IPSModuleManager-Log-IPSModuleManager    2015-04-10 19:23:50.23  Add WFCItem='IPSLogger_Widget', Class=InfoWidget, Config={"variableID":53214,"scriptID":14318,"name":"IPSLogger_Widget"}
    Parameter type of InstanceID does not match in /usr/share/symcon/scripts/IPSLibrary/install/IPSInstaller/IPSInstaller.inc.php on line 959
    Parameter type of InstanceID does not match in /usr/share/symcon/scripts/IPSLibrary/install/IPSInstaller/IPSInstaller.inc.php on line 961
    Parameter type of InstanceID does not match in /usr/share/symcon/scripts/IPSLibrary/install/IPSInstaller/IPSInstaller.inc.php on line 962
    Parameter type of InstanceID does not match in /usr/share/symcon/scripts/IPSLibrary/install/IPSInstaller/IPSInstaller.inc.php on line 963
    IPSModuleManager-Log-IPSModuleManager    2015-04-10 19:23:50.41  Created Category Mobile=49677
    Ich habe dann mal die entsprechende Zeile aus der IPSInstaller.inc.php in ein neues Skript kopiert und mit den Log-Angaben ergänzt:
    Code:
    WFC_AddItem(49205  /*[WebFront Configurator]*/, 'IPSLogger_Widget', 'InfoWidget', '{"variableID":53214,"scriptID":14318,"name":"IPSLogger_Widget"}','roottp');
    Auch hier bekomme ich den folgenden Fehler:
    Code:
    Parameter type of InstanceID does not match in /usr/share/symcon/scripts/11454.ips.php on line 6
    Egal was ich als InstanceID nehme es kommt immer der gleiche Fehler.

    Mach ich was falsch? Was ist die Ursache dafür?

    Gruß Christian

  2. #2
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,033

    Wirkt nach einem Fehler. Schaue ich mir an!

    paresy

  3. #3
    Registriert seit
    Oct 2012
    Beiträge
    41

    Super!

    Dann kann ich meinen Windows PC bald einmotten!

    Wolti

  4. #4
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,033

    Fix im nächsten Update.

    paresy

  5. #5
    Registriert seit
    Jan 2012
    Ort
    Dreieich
    Beiträge
    21

    Hallo,

    ich habe versucht mit dem BaseLoader-Script unter LinuxMint 17.2 (Ubuntu) die IPSLibrary zu installieren

    Die Installation bricht mit folgender Meldung ab
    Fatal error: JSON output unsupported in /usr/share/scriptsIPSLibrary/install/IPSInstaller/IPSInstaller.inc.php on line 1078

    Wie kann ich das Problem bereinigen?
    (ich wollte hauptsächlich IPSWatering nutzen)
    Gruß
    gnen

    IP-Symcon Pro V4.4, ubuntu 16.04 LTS, 1xFHZ1300, 1x CCU2, diverse FS20- / HM-Komponenten

  6. #6
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,033

    Fix dafür im nächsten Update!

    paresy

Ähnliche Themen

  1. Antworten: 3
    Letzter Beitrag: 23.01.15, 19:46
  2. Probleme bei der Installation von IPSLibrary
    Von mirank im Forum IPSLibrary
    Antworten: 21
    Letzter Beitrag: 20.12.14, 20:36
  3. Probleme bei der Webfront-Installation
    Von ZipFam im Forum IPSLibrary
    Antworten: 4
    Letzter Beitrag: 17.07.14, 11:30
  4. Antworten: 4
    Letzter Beitrag: 24.02.12, 19:30
  5. Probleme bei der Installation
    Von Schlimmerfinger im Forum Allgemeine Diskussion
    Antworten: 3
    Letzter Beitrag: 03.04.05, 14:04

Stichworte